[Shr-User] NOTICE: opimd - Manual intervention needed when upgrading in shr-unstable.

Tom Hacohen tom at stosb.com
Mon Mar 8 23:27:16 CET 2010


Hey all,

Opimd changed internal design, this means a database conversion is needed.
Because the conversion takes a lot of time, it's does not
get called by default, but instead you need to run it manually.
When upgrading frameworkd (opimd) opkg will write the following message:

*IMPORTANT NOTICE*: There has been a change in internal opimd database
structure as well as in the backend mechanism.
  This change is not backwards compatible so a conversion is needed,
furthermore, since new opimd does not (and will not) support working with
SIM, importing your SIM data is also required.
  In order to import SIM contacts, please use PISI.
  If you still have old contacts with 'tel:' prefix instead of field types
(i.e you haven't upgraded since 26.1.2010) please run the 'remove-tel'
script first.
  For the database conversion:
    1) stop frameworkd '/etc/init.d/frameworkd stop'
    2) use the conversion script, called: 'opimd_convert_db' which is
already installed in your system
    3) restart your device

Which explains everything.

If you have any more questions, feel free to ask here, sorry for the
inconvenience.


-- 
Tom.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.shr-project.org/pipermail/shr-user/attachments/20100309/47fb7300/attachment.htm>


More information about the Shr-User mailing list